# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Public Attributes | Private Attributes | Friends | List of all members
DBus::DefaultMainLoop Class Reference

`#include <eventloop.h>`

Inheritance diagram for DBus::DefaultMainLoop:

## Public Member Functions

| DefaultMainLoop ()
virtual | ~DefaultMainLoop ()
virtual void | dispatch ()

## Public Attributes

int | _fdunlock [2]

## Private Attributes

DefaultMutex | _mutex_t
DefaultTimeouts | _timeouts
DefaultMutex | _mutex_w
DefaultWatches | _watches

## Friends

class | DefaultTimeout
class | DefaultWatch

## Detailed Description

Definition at line 200 of file eventloop.h.

## Constructor & Destructor Documentation

## ◆ DefaultMainLoop()

DefaultMainLoop::DefaultMainLoop | ( |  | ) |

Definition at line 112 of file eventloop.cpp.

References _mutex_t, and _mutex_w.

## ◆ ~DefaultMainLoop()

DefaultMainLoop::~DefaultMainLoop | ( |  | ) |

virtual

Definition at line 118 of file eventloop.cpp.

References _mutex_t, _mutex_w, _timeouts, and _watches.

## Member Function Documentation

## ◆ dispatch()

void DefaultMainLoop::dispatch | ( |  | ) |

virtual

Definition at line 149 of file eventloop.cpp.

References _fdunlock, _mutex_t, _mutex_w, _timeouts, _watches, and millis().

Referenced by DBus::BusDispatcher::do_iteration().

## Friends And Related Symbol Documentation

## ◆ DefaultTimeout

friend class DefaultTimeout

friend

Definition at line 219 of file eventloop.h.

References DefaultTimeout.

Referenced by DefaultTimeout, and DBus::BusDispatcher::timeout_expired().

## ◆ DefaultWatch

friend class DefaultWatch

friend

Definition at line 220 of file eventloop.h.

References DefaultWatch.

Referenced by DefaultWatch, and DBus::BusDispatcher::watch_ready().

## Member Data Documentation

## ◆ _fdunlock

int DBus::DefaultMainLoop::_fdunlock[2]

Definition at line 210 of file eventloop.h.

Referenced by DBus::BusDispatcher::BusDispatcher(), dispatch(), and DBus::BusDispatcher::leave().

## ◆ _mutex_t

DefaultMutex DBus::DefaultMainLoop::_mutex_t

private

Definition at line 213 of file eventloop.h.

Referenced by DefaultMainLoop(), dispatch(), and ~DefaultMainLoop().

## ◆ _mutex_w

DefaultMutex DBus::DefaultMainLoop::_mutex_w

private

Definition at line 216 of file eventloop.h.

Referenced by DefaultMainLoop(), dispatch(), and ~DefaultMainLoop().

## ◆ _timeouts

DefaultTimeouts DBus::DefaultMainLoop::_timeouts

private

Definition at line 214 of file eventloop.h.

Referenced by dispatch(), and ~DefaultMainLoop().

## ◆ _watches

DefaultWatches DBus::DefaultMainLoop::_watches

private

Definition at line 217 of file eventloop.h.

Referenced by dispatch(), and ~DefaultMainLoop().

The documentation for this class was generated from the following files:

- eventloop.h
- eventloop.cpp